# losertree.h File Reference

## Detailed Description

Many generic loser tree variants. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file losertree.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Classes

- struct __gnu_parallel::loser_tree_traits< _ValueTp, Comparator >
- struct __gnu_parallel::loser_tree_unguarded_traits< _ValueTp, Comparator >

## Defines

- #define _GLIBCXX_PARALLEL_LOSERTREE_H